Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Apache Discussion :

Le module PHP cURL n’est pas installé.


Sujet :

Apache

  1. #1
    Membre régulier
    Le module PHP cURL n’est pas installé.
    bonjour,

    je viens d'upgrade ma debian 9 vers 10 et mon owncloud me fait des misères

    il me dit "Le module PHP cURL n’est pas installé."

    je l'ai installé dans la foulée mais aucun changement

    phpinfo me donne ceci en titre "PHP Version 7.0.27-0+deb9u1" comme si il ne s'etait pas mis a jour. (deb9 au lieu de 10)

    cette fonction en php me met "disabled"
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    echo 'Curl: ', function_exists('curl_version') ? 'Enabled' . "\xA" : 'Disabled' . "\xA";


    php -v me donne ça
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    php -v
    PHP 7.3.4-2 (cli) (built: Apr 13 2019 19:05:48) ( NTS )
    Copyright (c) 1997-2018 The PHP Group
    Zend Engine v3.3.4, Copyright (c) 1998-2018 Zend Technologies
        with Zend OPcache v7.3.4-2, Copyright (c) 1999-2018, by Zend Technologies



    ensuite j'ai decommenté l'extension
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
    3
    4
    cat /etc/php/7.3/apache2/php.ini  | grep curl
    extension=curl
    [curl]
    ;curl.cainfo =


    je sais plus quoi faire, je trouve rien de plus sur internet et j'ai cruellement besoin de mon cloud :/

    merci de votre aide

  2. #2
    Membre régulier
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
    3
    /usr/sbin/a2enmod php7.3
    /usr/sbin/a2dismod php7.0
    /etc/init.d/apache2 restart


    et curl remarche

    sauf que maintenant c'est owncloud qui est pas compatible php7.3 .....

    merci pour rien merci pour tout !!!